# cp_mgmt_service_dce_rpc – Manages service-dce-rpc objects on Check Point over Web Services API

New in version 2.9.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Manages service-dce-rpc objects on Check Point devices including creating, updating and removing objects.
- All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

auto_publish_session
boolean

Choices:
- no
- yes

Publish the current session if changes have been performed after task completes.

color
string

Choices:
- aquamarine
- black
- blue
- crete blue
- burlywood
- cyan
- dark green
- khaki
- orchid
- dark orange
- dark sea green
- pink
- turquoise
- dark blue
- firebrick
- brown
- forest green
- gold
- dark gold
- gray
- dark gray
- light green
- lemon chiffon
- coral
- sea green
- sky blue
- magenta
- purple
- slate blue
- violet red
- navy blue
- olive
- orange
- red
- sienna
- yellow

Color of the object. Should be one of existing colors.

comments string |  | Comments string.

details_level
string

Choices:
- uid
- standard
- full

The level of detail for some of the fields in the response can vary from showing only the UID value of the object to a fully detailed representation of the object.

groups list |  | Collection of group identifiers.

ignore_errors
boolean

Choices:
- no
- yes

Apply changes ignoring errors. You won't be able to publish such a changes. If ignore-warnings flag was omitted - warnings will also be ignored.

ignore_warnings
boolean

Choices:
- no
- yes

Apply changes ignoring warnings.

interface_uuid string |  | Network interface UUID.

keep_connections_open_after_policy_installation
boolean

Choices:
- no
- yes

Keep connections open after policy has been installed even if they are not allowed under the new policy. This overrides the settings in the Connection Persistence page. If you change this property, the change will not affect open connections, but only future connections.

name string / required |  | Object name.

state
string

Choices:
- present ←
- absent

State of the access rule (present or absent). Defaults to present.

tags list |  | Collection of tag identifiers.
version string |  | Version of checkpoint. If not given one, the latest version taken.

wait_for_task
boolean

Choices:
- no
- yes ←

Wait for the task to end. Such as publish task.

## Examples

    - name: add-service-dce-rpc
      cp_mgmt_service_dce_rpc:
        interface_uuid: 97aeb460-9aea-11d5-bd16-0090272ccb30
        keep_connections_open_after_policy_installation: false
        name: New_DCE-RPC_Service_1
        state: present

    - name: set-service-dce-rpc
      cp_mgmt_service_dce_rpc:
        color: green
        interface_uuid: 44aeb460-9aea-11d5-bd16-009027266b30
        name: New_DCE-RPC_Service_1
        state: present

    - name: delete-service-dce-rpc
      cp_mgmt_service_dce_rpc:
        name: New_DCE-RPC_Service_2
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
cp_mgmt_service_dce_rpc dictionary | always, except when deleting the object. | The checkpoint object created or updated.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Or Soffer (@chkp-orso)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.